#include <a0b.h>
#include <stdio.h>

int ii;
akpthread_t prev;
int count_new = 0;

a0tError my_thread(void *input) {

  akpthread_t new;
  unsigned char *p;
  int n;
  char string[80];

  new = akpthread_self();
  if (memcmp(&new, &prev, sizeof(akpthread_t))) count_new++;
  prev = new;

  a0ExitThread(0);
}


int main(int argc, char *argv[]) {

  void *rep;
  a0tThread slave;
  int max;

  a0Init(&argc, &argv);
  a0InitCommit();

  if (argv[1]) max = atoi(argv[1]);
  else max = 1000;

  printf("MAX %d\n", A0MaxFifoPriority);

  prev = akpthread_self();

  for (ii=0; ii<max;) {
    a0NewSlave(&slave, A0DefaultScheduling, A0DefaultPriority,
		A0DefaultStack, my_thread, 0);
    a0JoinSlave(&slave, &rep);
    ii++;
    if (!(ii%100))
      printf("done %d threads, %d were new.\n", ii, count_new);
  }
  a0Terminate();
}
