#include "a0flock.h"

extern a0tError _a0_perf_SetLockRead (a0tLock *lock,int index,a0tFormat *formatp,
				      void *address,int count);


extern a0tError _a0_perf_SetUnlockWrite (a0tLock *lock,int index,a0tFormat *formatp,
				      void *address,int count);

extern a0tError _a0_perf_SetLockDMARegion (a0tLock *lock,int index,
					   a0tDMARegion *regionp);

extern a0tError _a0_perf_SetLockDMARegionPart (a0tLock *lock,int index,
		       a0tDMARegion *regionp,int first,int size);

extern a0tError _a0_perf_Lock(a0tLock *lock, int count, a0tRequest *requestp);

extern a0tError _a0_perf_Unlock(a0tLock *lock, int count, a0tRequest *requestp);

extern a0tError _a0_perf_ILock(a0tLock *lock, int count, a0tRequest *requestp);

extern a0tError _a0_perf_IUnlock(a0tLock *lock, int count, 
			 	 a0tRequest *requestp);

extern a0tError _a0_perf_IFReadPartLock(a0tLock *lock,
                        a0tDMARegion *region, int start, int size,
                        a0tRequest *reqp,
                        a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_FReadPartLock(a0tLock *lock,
                        a0tDMARegion *region, int start, int size,
                        a0tRequest *reqp,
                        a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_IFWriteUnlock(a0tLock *lock, a0tRequest *reqp,
                        a0tFormat *formatp, void *address, int count);

extern a0tError _a0_perf_FWriteUnlock(a0tLock *lock, a0tRequest *reqp,
                        a0tFormat *formatp, void *address, int count);


#define _a0_perf_IFReadLock(lock, rgn, req, fmt, ad, ct) \
        _a0_perf_IFReadPartLock(lock, rgn, 0, (rgn)->size, \
                        req, fmt, ad, ct)

#define _a0_perf_FReadLock(lock, rgn, req, fmt, ad, ct) \
        _a0_perf_FReadPartLock(lock, rgn, 0, (rgn)->size, \
                        req, fmt, ad, ct)

