#ifndef SOURCE_PERF_FUSER_H
#define SOURCE_PERF_FUSER_H

#include "a0_perf_fuser.h"

extern a0tError _a0_source_perf_GetFormatSize(char *file_name,int source_line,
	a0tFormat *formatp, void *address, int count, size_t *sizep);

extern a0tError _a0_source_perf_GetFormatOffset(char *file_name,int source_line,
	a0tFormat *formatp, void *address, int count, void **offsetp);

extern a0tError _a0_source_perf_UseFormats(char *file_name,int source_line);

extern a0tError _a0_source_perf_DisposeFormat(char *file_name,int source_line,
						a0tFormat *formatp);

extern a0tError _a0_source_perf_IFSend(char *file_name,int source_line,
		a0tPort *port, int dest, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FSend(char *file_name,int source_line,
		a0tPort *port, int dest, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_IFReceive(char *file_name,int source_line,
		a0tPort *port, int src, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FReceive(char *file_name,int source_line,
		a0tPort *port, int src, int tag, a0tRequest *req,
		a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FPack(char *file_name,int source_line,
	a0tBuffer *buffer, a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FUnpack(char *file_name,int source_line,
	a0tBuffer *buffer, a0tFormat *formatp, void *address, int count);


#endif
