/***************************************************************************/
/* File a0_perf_ports.c                                                     */
/* Philippe Waille 05/07/96                                                */
/***************************************************************************/

#include "a0_perf_ports.h"
#include "a0_perf_event_macros.h"
#include "a0_perf_event_codes.h"

a0tError _a0_perf_DisposePort(a0tPort *port)
{
a0_perf_begin_event;
rcode = _a0DisposePort(port);
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_DISPOSEPORT);
a0_perf_put_integer(_a0GetPortId1(*port));
a0_perf_put_integer(_a0GetPortId2(*port));
a0_perf_put_index;
}

a0tError _a0_perf_NewPort(a0tPort *port,int tags, int unique)
{
a0_perf_begin_event;
rcode = _a0NewPort (port,tags,unique);
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_NEWPORT);
a0_perf_put_integer(_a0GetPortId1(*port));
a0_perf_put_integer(_a0GetPortId2(*port));
a0_perf_put_integer(tags);
a0_perf_put_integer(unique);
a0_perf_put_index;
}
