#include "a0_source_perf_buffer.h"
#include "a0_perf_event_macros.h"

a0tError _a0_source_perf_NewBuffer(char *file_name,int source_line,
				   a0tBuffer *buffer, a0tBufferType type,
				   long size)
{
put_info;
return _a0_perf_NewBuffer(buffer,type,size);
}
 

a0tError _a0_source_perf_DisposeBuffer(char *file_name,int source_line,
                                       a0tBuffer *buffer)
{
put_info;
return _a0_perf_DisposeBuffer(buffer);
}



a0tError _a0_source_perf_ClearBuffer(char *file_name,int source_line,
                                       a0tBuffer *buffer)
{
put_info;
return _a0_perf_ClearBuffer(buffer);
}

a0tError _a0_source_perf_Pack(char *file_name,int source_line,
		              a0tBuffer *buffer, a0tDatatype datatype, 
                              void *inbuf, int incount)
{
put_info;
return _a0_perf_Pack(buffer,datatype,inbuf,incount);
}


a0tError _a0_source_perf_Unpack(char *file_name,int source_line,
			        a0tBuffer *buffer, a0tDatatype datatype, 
                                void *outbuf, int outcount)
{
put_info;
return _a0_perf_Unpack(buffer,datatype,outbuf,outcount);
}


