#ifndef PERF_FPIPE_H
#define PERF_FPIPE_H

#include "a0fpipe.h"


extern a0tError _a0_perf_IFPut(a0tPipe *pipe, a0tRequest *request,
	a0tFormat *format, void *address, int count);

extern a0tError _a0_perf_FPut(a0tPipe *pipe, a0tRequest *request,
	a0tFormat *format, void *address, int count);

extern a0tError _a0_perf_IFGet(a0tPipe *pipe, a0tRequest *request,
	a0tFormat *format, void *address, int count);

extern a0tError _a0_perf_FGet(a0tPipe *pipe, a0tRequest *request,
	a0tFormat *format, void *address, int count);

extern a0tError _a0_perf_Flush(a0tPipe *pipe);

extern a0tError _a0_perf_NewPipe(a0tPipe *newpipe,
                        a0tPort *port, int node, int tag,
                        int bufsize, int protocol, int prio);

extern a0tError _a0_perf_DisposePipe(a0tPipe *pipe);

#endif
