#include "a0_source_perf_flock.h"
#include "../basic/a0_perf_event_codes.h"
#include "../basic/a0_perf_event_macros.h"



a0tError _a0_source_perf_SetLockRead (char *file_name,int source_line,
		a0tLock *lock,int index,a0tFormat *formatp,void *address,int count)
{
put_info;
return _a0_perf_SetLockRead (lock,index,formatp,address,count);
}

a0tError _a0_source_perf_SetUnlockWrite (char *file_name,int source_line,
		a0tLock *lock,int index,a0tFormat *formatp,void *address,int count)
{
put_info;
return _a0_perf_SetUnlockWrite (lock,index,formatp,address,count);
}

a0tError _a0_source_perf_SetLockDMARegion (char *file_name,
		int source_line, a0tLock *lock,int index,a0tDMARegion *regionp)
{
put_info;
return _a0_perf_SetLockDMARegion(lock,index,regionp);
}

a0tError _a0_source_perf_SetLockDMARegionPart (char *file_name,
		int source_line,a0tLock *lock,int index,a0tDMARegion *regionp,
					int first,int size)
{
put_info;
return _a0_perf_SetLockDMARegionPart (lock,index,regionp,first,size);
}

a0tError _a0_source_perf_Lock(char *file_name,int source_line,
				a0tLock *lock, int count, a0tRequest *requestp)
{
put_info;
return _a0_perf_Lock(lock,count,requestp);
}

a0tError _a0_source_perf_Unlock(char *file_name,int source_line,
				a0tLock *lock, int count, a0tRequest *requestp)
{
put_info;
return _a0_perf_Unlock(lock,count,requestp);
}

a0tError _a0_source_perf_ILock(char *file_name,int source_line,
				a0tLock *lock, int count, a0tRequest *requestp)
{
put_info;
return _a0_perf_ILock(lock,count,requestp);
}

a0tError _a0_source_perf_IUnlock(char *file_name,int source_line,
			a0tLock *lock, int count,a0tRequest *requestp)
{
put_info;
return _a0_perf_IUnlock(lock,count,requestp);
}

a0tError _a0_source_perf_IFReadPartLock(char *file_name,int source_line,
		a0tLock *lock,a0tDMARegion *region, int start, int size,
		a0tRequest *reqp,a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_IFReadPartLock(lock,region,start,size,
				reqp,formatp,address,count);
}

a0tError _a0_source_perf_FReadPartLock(char *file_name,int source_line,
		a0tLock *lock,a0tDMARegion *region, int start, int size,
		a0tRequest *reqp,a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FReadPartLock(lock,region,start,size,
				reqp,formatp,address,count);
}

a0tError _a0_source_perf_IFWriteUnlock(char *file_name,int source_line,
		a0tLock *lock, a0tRequest *reqp,a0tFormat *formatp, 
		void *address, int count)
{
put_info;
return _a0_perf_IFWriteUnlock(lock,reqp,formatp,address,count);
}

a0tError _a0_source_perf_FWriteUnlock(char *file_name,int source_line,
				a0tLock *lock, a0tRequest *reqp,
                        a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FWriteUnlock(lock,reqp,formatp,address,count);
}


#define _a0_source_perf_IFReadLock(file,line,lock, rgn, req, fmt, ad, ct) \
        _a0_source_perf_IFReadPartLock(file,line,lock, rgn, 0, (rgn)->size, \
                        req, fmt, ad, ct)

#define _a0_source_perf_FReadLock(file,line,lock, rgn, req, fmt, ad, ct) \
        _a0_source_perf_FReadPartLock(file,line,lock, rgn, 0, (rgn)->size, \
                        req, fmt, ad, ct)

