#include "a0_perf_flock.h"


extern a0tError _a0_source_perf_SetLockRead (char *file_name,int source_line,
		a0tLock *lock,int index,a0tFormat *formatp,void *address,int count);


extern a0tError _a0_source_perf_SetUnlockWrite (char *file_name,int source_line,
		a0tLock *lock,int index,a0tFormat *formatp,void *address,int count);

extern a0tError _a0_source_perf_SetLockDMARegion (char *file_name,
		int source_line, a0tLock *lock,int index,a0tDMARegion *regionp);

extern a0tError _a0_source_perf_SetLockDMARegionPart (char *file_name,
		int source_line,a0tLock *lock,int index,a0tDMARegion *regionp,
					int first,int size);

extern a0tError _a0_source_perf_Lock(char *file_name,int source_line,
				a0tLock *lock, int count, a0tRequest *requestp);

extern a0tError _a0_source_perf_Unlock(char *file_name,int source_line,
				a0tLock *lock, int count, a0tRequest *requestp);

extern a0tError _a0_source_perf_ILock(char *file_name,int source_line,
				a0tLock *lock, int count, a0tRequest *requestp);

extern a0tError _a0_source_perf_IUnlock(char *file_name,int source_line,
			a0tLock *lock, int count,a0tRequest *requestp);

extern a0tError _a0_source_perf_IFReadPartLock(char *file_name,int source_line,
		a0tLock *lock,a0tDMARegion *region, int start, int size,
		a0tRequest *reqp,a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_FReadPartLock(char *file_name,int source_line,
		a0tLock *lock,a0tDMARegion *region, int start, int size,
		a0tRequest *reqp,a0tFormat *formatp, void *address, int count);

extern a0tError _a0_source_perf_IFWriteUnlock(char *file_name,int source_line,
		a0tLock *lock, a0tRequest *reqp,a0tFormat *formatp, 
		void *address, int count);

extern a0tError _a0_source_perf_FWriteUnlock(char *file_name,int source_line,
				a0tLock *lock, a0tRequest *reqp,
                        a0tFormat *formatp, void *address, int count);


#define _a0_source_perf_IFReadLock(file,line,lock, rgn, req, fmt, ad, ct) \
        _a0_source_perf_IFReadPartLock(file,line,lock, rgn, 0, (rgn)->size, \
                        req, fmt, ad, ct)

#define _a0_source_perf_FReadLock(file,line,lock, rgn, req, fmt, ad, ct) \
        _a0_source_perf_FReadPartLock(file,line,lock, rgn, 0, (rgn)->size, \
                        req, fmt, ad, ct)

