#include "akernel.h"
#include <stdio.h>


main(int argc, char **argv) {
  int i, j;
  int rank;
  aktHandle handle;

  akInit(&argc, &argv);
  rank = akNode;

  if (rank==0) {
    if (argc>1) i = atoi(argv[1]);
    else i &= 255;
    printf("send: %d\n", i);
    akISend(&i, 1, MPI_INT, 1, 555, MPI_COMM_WORLD, 0, 0, 0);
    akRecv(&j, 1, MPI_INT, 1, 666, MPI_COMM_WORLD, &handle);
    printf("receive back: %d\n", j);
  }
  if (rank==1) {
    akRecv(&j, 1, MPI_INT, 0, 555, MPI_COMM_WORLD, &handle);
    i = 2*j;
    akISend(&i, 1, MPI_INT, 0, 666, MPI_COMM_WORLD, 0, 0, 0);
  }

  akFinalize();
}
