#include "a0_source_perf_thread.h"
#include "a0_perf_event_macros.h"

a0tError _a0_source_perf_YieldThread(char *file_name,int source_line)
{
put_info;
return _a0_perf_YieldThread();
}


a0tError _a0_source_perf_JoinSlave(char *file_name,int source_line,
				    a0tThread *thread, void **result)
{
put_info;
return _a0_perf_JoinSlave(thread,result);
}


a0tError _a0_source_perf_DetachSlave(char *file_name,int source_line,
                                      a0tThread *thread)
{
put_info;
return _a0_perf_DetachSlave(thread);
}


a0tError _a0_source_perf_ExitThread(char *file_name,int source_line,void *value)
{
put_info;
return _a0_perf_ExitThread(value);
}


a0tError _a0_source_perf_NewSlave(char *file_name,int source_line,
				  a0tThread *thread, int sched,
			          int prio, long stack, a0tFunction function,
			          void *arg)
{
put_info;
return _a0_perf_NewSlave(thread,sched,prio,stack,function,arg);
}


a0tError _a0_source_perf_NewSemaphore(char *file_name,int source_line,
                                      a0tSemaphore *semap, int value)
{
put_info;
return _a0_perf_NewSemaphore(semap,value);
}


a0tError _a0_source_perf_DisposeSemaphore(char *file_name,int source_line,
				          a0tSemaphore *semap)
{
put_info;
return _a0_perf_DisposeSemaphore(semap);
}


a0tError _a0_source_perf_PSemaphore(char *file_name,int source_line,
			            a0tSemaphore *semap)
{
put_info;
return _a0_perf_PSemaphore(semap);
}


a0tError _a0_source_perf_TryPSemaphore(char *file_name,int source_line,
				       a0tSemaphore *semap, int *success)
{
put_info;
return _a0_perf_TryPSemaphore(semap,success);
}


a0tError _a0_source_perf_VSemaphore(char *file_name,int source_line,
				    a0tSemaphore *semap)
{
put_info;
return _a0_perf_VSemaphore(semap);
}


a0tError _a0_source_perf_NewMutex(char *file_name,int source_line,
				  a0tMutex *mutex)
{
put_info;
return _a0_perf_NewMutex(mutex);
}


a0tError _a0_source_perf_DisposeMutex(char *file_name,int source_line,
                                      a0tMutex *mutex)
{
put_info;
return _a0_perf_DisposeMutex(mutex);
}


a0tError _a0_source_perf_LockMutex(char *file_name,int source_line,
				   a0tMutex *mutex)
{
put_info;
return _a0_perf_LockMutex(mutex);
}

a0tError _a0_source_perf_UnlockMutex(char *file_name,int source_line,
                                     a0tMutex *mutex)
{
put_info;
return _a0_perf_UnlockMutex(mutex);
}

extern a0tError _a0_source_perf_NewContext(char *file_name,int source_line,
					a0tContext *context)
{
put_info;
return _a0_perf_NewContext(context);
}

extern a0tError _a0_source_perf_GetSelfContext(char *file_name,int source_line,
					a0tContext *context,void **data)
{
put_info;
return _a0_perf_GetSelfContext(context,data);
}

extern a0tError _a0_source_perf_SetSelfContext(char *file_name,int source_line,
					a0tContext *context,void *data)
{
put_info;
return _a0_perf_SetSelfContext(context,data);
}


