/*
 *
 * a0info.h : system information
 *
 *
 * by Marcelo Pasin and Ilan Ginzburg
 * Apache Project, IMAG, Grenoble, France
 * Apr 24, 1997
 *
 */

#include "a0info.h"

/* whether to call accounting functions or not */
int _a0SystemInformationLevel;

/* the system data table */
extern a0tSystemData _a0SystemData;


extern a0tError _a0GetSystemData(a0tSystemData *data) {

  switch (_a0SystemInformationLevel) {
  case 1:
	data->threads.blocked = _a0SystemData.threads.blocked;
  case 0:
	data->threads.created = _a0SystemData.threads.created;
	data->threads.running = _a0SystemData.threads.running;
  
;

extern a0tError _a0AccountThreadsRunning(int i);
extern a0tError _a0AccountThreadsBlockedLock(int i);
extern a0tError _a0AccountThreadsBlockedComm(int i);
