#include "a0_perf_fmap.h"
#include "../basic/a0_perf_event_codes.h"
#include "../basic/a0_perf_event_macros.h"

a0tError _a0_perf_NewMapFormat(a0tFormat *newformatp,
                                unsigned long size,
                                int count, a0tMapField *fields)
{
a0_perf_begin_event;
rcode = _a0NewMapFormat(newformatp,size,count,fields);
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_NEWMAPFORMAT);
a0_perf_put_address (newformatp);
a0_perf_put_integer (size);
a0_perf_put_integer (count);
a0_perf_put_address (fields);
a0_perf_put_index;
}

a0tError _a0_perf_SetMapField(a0tMapField *fieldp, int index, void *base_addr,
                                a0tFormat *formatp, void *address,
                                int count)
{
a0_perf_begin_event;
rcode = _a0SetMapField(fieldp,index,base_addr,formatp,address,count);
a0_perf_get_index;
a0_perf_put_event_id(A0_PERF_RECORD_ID_SETMAPFIELD);
a0_perf_put_address (formatp);
a0_perf_put_address (fieldp);
a0_perf_put_integer (index);
a0_perf_put_address (base_addr);
a0_perf_put_address (address);
a0_perf_put_integer (count);
a0_perf_put_index;
}

