#include "a0_perf_fmem.h"
#include "../basic/a0_perf_event_codes.h"
#include "../basic/a0_perf_event_macros.h"


a0tError _a0_source_perf_NewDMARegion(char *file_name,int source_line,
			a0tDMARegion *region,a0tFormat *formatp,
			void *pointer, int size)
{
put_info;
return _a0_perf_NewDMARegion(region,formatp,pointer,size);
}

a0tError _a0_source_perf_IFReadPart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_IFReadPart(region,start,size,reqp,formatp,address,count);
}

a0tError _a0_source_perf_FReadPart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FReadPart(region,start,size,reqp,formatp,address,count);
}

a0tError _a0_source_perf_IFRead(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_IFRead(region,reqp,formatp,address,count);
}

a0tError _a0_source_perf_FRead(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FRead(region,reqp,formatp,address,count);
}


a0tError _a0_source_perf_IFWritePart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_IFWritePart(region,start,size,reqp,formatp,address,count);
}

a0tError _a0_source_perf_FWritePart(char *file_name,int source_line,
			a0tDMARegion *region, int start, int size,
			a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FWritePart(region,start,size,reqp,formatp,address,count);
}

a0tError _a0_source_perf_IFWrite(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_IFWrite(region,reqp,formatp,address,count);
}

a0tError _a0_source_perf_FWrite(char *file_name,int source_line,
			a0tDMARegion *region, a0tRequest *reqp,
			a0tFormat *formatp, void *address, int count)
{
put_info;
return _a0_perf_FWrite(region,reqp,formatp,address,count);
}

a0tError _a0_source_perf_IFCopyPart(char *file_name,int source_line,
			a0tDMARegion *region1, int start1,
			int size1, a0tRequest *reqp,
			a0tDMARegion *region2, int start2, int size2)
{
put_info;
return _a0_perf_IFCopyPart(region1,start1,size1,reqp,region2,start2,size2);
}

a0tError _a0_source_perf_FCopyPart(char *file_name,int source_line,
			a0tDMARegion *region1, int start1, int size1,
			a0tRequest *reqp,
			a0tDMARegion *region2, int start2, int size2)
{
put_info;
return _a0_perf_FCopyPart(region1,start1,size1,reqp,region2,start2,size2);
}

a0tError _a0_source_perf_IFCopy(char *file_name,int source_line,
			a0tDMARegion *region1, a0tRequest *reqp,
			a0tDMARegion *region2)
{
put_info;
return _a0_perf_IFCopy(region1,reqp,region2);
}

a0tError _a0_source_perf_FCopy(char *file_name,int source_line,
			a0tDMARegion *region1, a0tRequest *reqp,
			a0tDMARegion *region2)
{
put_info;
return _a0_perf_FCopy(region1,reqp,region2);
}
