#ifndef SOURCE_PERF_FPIPE_H
#define SOURCE_PERF_FPIPE_H

#include "a0_perf_fpipe.h"

extern a0tError _a0_source_perf_IFPut(char *file_name,int source_line,
			 a0tPipe *pipe, a0tRequest *request,
			 a0tFormat *format, void *address, int count); 

extern a0tError _a0_source_perf_FPut(char *file_name,int source_line,
			 a0tPipe *pipe, a0tRequest *request,
			 a0tFormat *format, void *address, int count); 

extern a0tError _a0_source_perf_IFGet(char *file_name,int source_line,
			 a0tPipe *pipe, a0tRequest *request,
			 a0tFormat *format, void *address, int count); 

extern a0tError _a0_source_perf_FGet(char *file_name,int source_line,
			 a0tPipe *pipe, a0tRequest *request,
			 a0tFormat *format, void *address, int count); 

extern a0tError _a0_source_perf_Flush(char *file_name,int source_line,
				 a0tPipe *pipe); 

extern a0tError _a0_source_perf_NewPipe(char *file_name,int source_line,
			 a0tPipe *newpipe, 
			 a0tPort *port, int node, int tag,
                        int bufsize, int protocol, int prio); 

extern a0tError _a0_source_perf_DisposePipe(char *file_name,int source_line,
					 a0tPipe *pipe);

#endif
